Vulnerability Name:

CVE-2008-1488

Assigned:2008-03-17
Published:2008-03-17
Updated:2017-08-07
Summary:Stack-based buffer overflow in apc.c in Alternative PHP Cache (APC) 3.0.11 through 3.0.16 allows remote attackers to execute arbitrary code via a long filename.
CVSS v3 Severity:7.3 High (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): Low
Availibility (A): Low
CVSS v2 Severity:6.8 Medium (CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P)
5.3 Medium (Temporal CVSS v2 Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P/E:POC/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
7.5 High (CCN CVSS v2 Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P)
5.9 Medium (CCN Temporal CVSS v2 Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P/E:POC/RL:OF/RC:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Athentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
Vulnerability Type:CWE-119
References:Source: MISC
Type: UNKNOWN
http://papasian.org/~dannyp/apcsmash.php.txt

Source: CONFIRM
Type: UNKNOWN
http://pecl.php.net/bugs/bug.php?id=13415

Source: GENTOO
Type: UNKNOWN
GLSA-200804-07

Source: MANDRIVA
Type: UNKNOWN
MDVSA-2008:082

Source: BID
Type: UNKNOWN
28457

Source: XF
Type: UNKNOWN
apc-apcsearchpaths-bo(41420)

Source: FEDORA
Type: UNKNOWN
FEDORA-2008-6344

Source: FEDORA
Type: UNKNOWN
FEDORA-2008-6401

Vulnerable Configuration:Configuration 1:
  • cpe:/a:pecl-php:alternative_php_cache:3.0.11:*:*:*:*:*:*:*
  • OR cpe:/a:pecl-php:alternative_php_cache:3.0.12:*:*:*:*:*:*:*
  • OR cpe:/a:pecl-php:alternative_php_cache:3.0.12p1:*:*:*:*:*:*:*
  • OR cpe:/a:pecl-php:alternative_php_cache:3.0.12p2:*:*:*:*:*:*:*
  • OR cpe:/a:pecl-php:alternative_php_cache:3.0.13:*:*:*:*:*:*:*
  • OR cpe:/a:pecl-php:alternative_php_cache:3.0.14:*:*:*:*:*:*:*
  • OR cpe:/a:pecl-php:alternative_php_cache:3.0.15:*:*:*:*:*:*:*
  • OR cpe:/a:pecl-php:alternative_php_cache:3.0.16:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    BACK
    pecl-php alternative php cache 3.0.11
    pecl-php alternative php cache 3.0.12
    pecl-php alternative php cache 3.0.12p1
    pecl-php alternative php cache 3.0.12p2
    pecl-php alternative php cache 3.0.13
    pecl-php alternative php cache 3.0.14
    pecl-php alternative php cache 3.0.15
    pecl-php alternative php cache 3.0.16